## Tcl8.6.2/Tk8.6.2 Documentation > SQLite3 Package Commands, version 3.8.6 > sqlite3

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

sqlite3 — an interface to the SQLite3 database engine

### SYNOPSIS

sqlite3 command_name ?filename?

### DESCRIPTION

SQLite3 is a self-contains, zero-configuration, transactional SQL database engine. This extension provides an easy to use interface for accessing SQLite database files from Tcl.

For full documentation see http://www.sqlite.org/ and in particular http://www.sqlite.org/tclsqlite.html.